camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guillaume Nodet <gno...@gmail.com>
Subject Re: Camel OSGI snapshot versions
Date Mon, 07 Feb 2011 10:31:19 GMT
The maven-bundle-plugin 2.3.4 has just been released, so we could try
upgrading to that one.

On Mon, Feb 7, 2011 at 10:41, Christian Schneider
<chris@die-schneider.net> wrote:
> Hi Guillaume,
>
> that´s a typical case of misreading a specification on my side. It´s good
> that I now read the spec again to proof you wrong. So I found that I was
> wrong ;-)
>
> The spec says.
> version ::= major( '.' minor ( '.' micro ( '.' qualifier )? )? )?
>
> I did not really be careful enough to read that qualifier is not meant
> literally but rather stands for:
> qualifier ::= ( alphanum | ’_’ | '-' )+
>
> So you are right.
>
> 2.7-SNAPSHOT in maven should be 2.7.0.SNAPSHOT in osgi.
>
> Christian
>
> Am 07.02.2011 10:11, schrieb Guillaume Nodet:
>>
>> Not sure what you mean here, but the conversion should be 2.7-SNAPSHOT
>> ->  2.7.0.SNAPSHOT
>>
>>> Christian
>>>
>>> --
>>> ----
>>> http://www.liquid-reality.de
>>>
>>>
>>
>>
>
> --
> ----
> http://www.liquid-reality.de
>
>



-- 
Cheers,
Guillaume Nodet
------------------------
Blog: http://gnodet.blogspot.com/
------------------------
Open Source SOA
http://fusesource.com

Mime
View raw message